﻿/// <reference path="mobil.ts" />
/// <reference path="email.ts" />
class Contact {
	public jmeno: string;
	public prijmeni: string;
	public stitky: string;
	public obr: string;
	public emails: Array<Email>;
	public phones: Array<Mobil>;
	public ulice: string;
	public psc: string;
	public mesto: string;

    static getRandom1() {
        var u = new Contact();
        u.jmeno = "Franta";
        u.prijmeni = "Novák";
        u.stitky = "kamarad";
        u.phones = [new Mobil()];
        u.phones[0].jmeno = "Mobil";
        u.phones[0].mobil = "+420 123 456 789";
        u.emails = [new Email()];
        u.emails[0].jmeno = "pracovní";
        u.emails[0].email = "aa@aa.aa";
        u.ulice = "Horní 123";
        u.mesto = "Tramtárie";
        u.psc = "123 45";
        return u;
    }
    static getRandom2() {
        var u = new Contact();
        u.jmeno = "Františka";
        u.prijmeni = "Nováková";
        u.stitky = "kamarad";
        u.phones = [new Mobil()];
        u.phones[0].jmeno = "Mobil";
        u.phones[0].mobil = "+420 123 456 789";
        u.emails = [new Email()];
        u.emails[0].jmeno = "pracovní";
        u.emails[0].email = "aa@aa.aa";
        u.ulice = "Horní 123";
        u.mesto = "Tramtárie";
        u.psc = "123 45";
        return u;
    }
    static getRandom3() {
        var u = new Contact();
        u.jmeno = "Tomáš";
        u.prijmeni = "Programoval";
        u.stitky = "kamarad";
        u.phones = [new Mobil()];
        u.phones[0].jmeno = "Mobil";
        u.phones[0].mobil = "+420 123 456 789";
        u.emails = [new Email()];
        u.emails[0].jmeno = "pracovní";
        u.emails[0].email = "aa@aa.aa";
        u.ulice = "Horní 123";
        u.mesto = "Tramtárie";
        u.psc = "123 45";
        return u;
    }
    static getRandom4() {
        var u = new Contact();
        u.jmeno = "Antonín";
        u.prijmeni = "Chytrý";
        u.stitky = "kamarad";
        u.phones = [new Mobil()];
        u.phones[0].jmeno = "Mobil";
        u.phones[0].mobil = "+420 123 456 789";
        u.emails = [new Email()];
        u.emails[0].jmeno = "pracovní";
        u.emails[0].email = "aa@aa.aa";
        u.ulice = "Horní 123";
        u.mesto = "Tramtárie";
        u.psc = "123 45";
        return u;
    }
    static getRandom5() {
        var u = new Contact();
        u.jmeno = "Anna";
        u.prijmeni = "Pěkná";
        u.stitky = "kamarad";
        u.phones = [new Mobil()];
        u.phones[0].jmeno = "Mobil";
        u.phones[0].mobil = "+420 123 456 789";
        u.emails = [new Email()];
        u.emails[0].jmeno = "pracovní";
        u.emails[0].email = "aa@aa.aa";
        u.ulice = "Horní 123";
        u.mesto = "Tramtárie";
        u.psc = "123 45";
        return u;
    }

	/**
	 * Sestaví element člověka používaný v pravém seznamu
	 * @param c
	 */
	static getListElement(c: Contact): HTMLLIElement {
		var li = document.createElement("li");
		li.classList.add("contact-list-item");
		li.onclick = ContactManager.showDetail.bind(null, c);
		(<any>li).contact = c;
		li.innerHTML += '<svg width="16" height="16" viewBox="0 0 2048 1792" xmlns="http://www.w3.org/2000/svg"><path d="M1024 1131q0-64-9-117.5t-29.5-103-60.5-78-97-28.5q-6 4-30 18t-37.5 21.5-35.5 17.5-43 14.5-42 4.5-42-4.5-43-14.5-35.5-17.5-37.5-21.5-30-18q-57 0-97 28.5t-60.5 78-29.5 103-9 117.5 37 106.5 91 42.5h512q54 0 91-42.5t37-106.5zm-157-520q0-94-66.5-160.5t-160.5-66.5-160.5 66.5-66.5 160.5 66.5 160.5 160.5 66.5 160.5-66.5 66.5-160.5zm925 509v-64q0-14-9-23t-23-9h-576q-14 0-23 9t-9 23v64q0 14 9 23t23 9h576q14 0 23-9t9-23zm0-260v-56q0-15-10.5-25.5t-25.5-10.5h-568q-15 0-25.5 10.5t-10.5 25.5v56q0 15 10.5 25.5t25.5 10.5h568q15 0 25.5-10.5t10.5-25.5zm0-252v-64q0-14-9-23t-23-9h-576q-14 0-23 9t-9 23v64q0 14 9 23t23 9h576q14 0 23-9t9-23zm256-320v1216q0 66-47 113t-113 47h-352v-96q0-14-9-23t-23-9h-64q-14 0-23 9t-9 23v96h-768v-96q0-14-9-23t-23-9h-64q-14 0-23 9t-9 23v96h-352q-66 0-113-47t-47-113v-1216q0-66 47-113t113-47h1728q66 0 113 47t47 113z" fill="#fff"/></svg>';
		li.innerHTML += "<label>";
		li.innerHTML += c.jmeno + " " + c.prijmeni
		li.innerHTML += "</label>";

		return li;
	}
}